.search-block {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 10px;
}

.scrolling-search {
    position: sticky;
    height: 0px;
    top: 0;
    margin-top: -86px;
    margin-bottom: 86px;
}

.scrolling-search .search-container {
    width: calc(100%);
    margin-left: -10px;
    padding: 10px;
    background: #121417;
    /* transform: translate(-10px, 0px); */
    border-radius: 0px 0px 14px 14px;
}

.search-block .top {
    display: flex;
    gap: 10px;
    justify-content: space-between;
    width: 100%;
}

/* Search input */
.search-block .top .search-input {
    width: calc(100% - 30px);
    height: 40px;
    padding: 0px 15px;
    border-radius: 14px;
    background: #1F2328;
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 12px;
    font-weight: 500;
    color: #6E7681;
    cursor: pointer;
    transition: background 300ms;
}


.search-block .top .search-input svg {
    color: #8A919B;
    transition: color 300ms;
}

.search-block .top .search-input:hover {
    background: #30353B;
    transition: background 300ms;
}

.search-block .top .search-input:hover svg {
    color: #C7CDD6;
    transition: color 300ms;
}

/* Provider Input */
.search-block .top .provider-input {
    width: 150px;
    padding: 0px 15px;
    border-radius: 14px;
    background: #1F2328;
    transition: background 300ms;
}

.search-block .top .provider-input:hover {
    background: #30353B;
    transition: background 300ms;
}

.search-block .top .provider-input.not-selected {
    cursor: pointer;
}

.search-block .top .provider-input .provider-content {
    width: 100%;
    height: 40px;
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    font-weight: 500;
}

.search-block .top .provider-input .provider-content.selected {
    display: flex;
    justify-content: space-between;
}

.search-block .top .provider-input .provider-content .provider {
    display: flex;
    align-items: center;
    gap: 8px;
}
.search-block .top .provider-input .provider-content .provider svg {
    width: auto;
    height: 16px;
}
.search-block .top .provider-input .provider-content .close {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    cursor: pointer;
}
.search-block .top .provider-input .provider-content .close svg {
    color: #6E7681;
    transition: color 300ms;
}

.search-block .top .provider-input .provider-content .close:hover svg {
    color: #DFDFEC;
    transition: color 300ms;
}

/* Tags List */
.search-block .bottom {}
.search-block .bottom .search-tags {}
.search-block .bottom .search-tags .tags-arrows {
    height: 36px;
    margin-bottom: -36px;
    position: relative;
    pointer-events: none;
    display: flex;
    justify-content: space-between;
}
.search-block .bottom .search-tags .tags-arrows .left {
    display: flex;
    width: 150px;
    height: 36px;
    background: linear-gradient(
270deg, rgba(18, 20, 23, 0.00) 0%, #121417 100%);
}
.search-block .bottom .search-tags .tags-arrows .right {
    display: flex;
    width: 150px;
    height: 36px;
    background: linear-gradient(90deg, rgba(18, 20, 23, 0.00) 0%, #121417 100%);
    justify-content: flex-end;
}
.search-block .bottom .search-tags .tags-arrows .arrow {
    width: 36px;
    height: 36px;
    border-radius: 14px;
    background: #262B31;
    transition: background 300ms;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    pointer-events: auto;
}
.search-block .bottom .search-tags .tags-arrows .arrow svg {
    height: 16px;
    width: auto;
    color: #6E7681;
    transition: color 300ms;
}

.search-block .bottom .search-tags .tags-arrows .arrow:hover {
    background: #30353B;   
    transition: background 300ms;
}

.search-block .bottom .search-tags .tags-arrows .arrow:hover svg {
    color: #E8EAED;
    transition: color 300ms;
}

.search-block .bottom .search-tags .tags-list::-webkit-scrollbar {
    display: none;
}

.search-block .bottom .search-tags .tags-container {
    overflow: auto;

    /* Firefox */
    scrollbar-width: none;

    /* IE/Edge */
    -ms-overflow-style: none;
    height: 36px;
}

.search-block .bottom .search-tags .tags-list {
    display: flex;
    gap: 10px;
}
.search-block .bottom .search-tags .tags-list .tag {
    display: flex;
    font-size: 12px;
    font-weight: 500;
    white-space: nowrap;
    gap: 10px;
    padding: 0px 15px;
    height: 36px;
    border-radius: 14px;
    background: #262B31;
    transition: background 300ms;   
    align-items: center;
    cursor: pointer;
}

.search-block .bottom .search-tags .tags-list .tag:hover {
    background: #30353B;
    transition: background 300ms;   
}

.search-block .bottom .search-tags .tags-list .tag svg {
    color: #8A919B;
    transition: color 300ms;   
}

.search-block .bottom .search-tags .tags-list .tag:hover svg {
    color: #E8EAED;
    transition: color 300ms;   
}

.search-block .bottom .search-tags .tags-list .tag.active {
    background: #2F80ED;
    transition: background 300ms;   
}
.search-block .bottom .search-tags .tags-list .tag.active svg {
    color: #E8EAED;
    transition: color 300ms;   
}